Update a pricingPlanSchedule
Requires the QUOTE.PRICING_PLAN_SCHEDULE.UPDATE or PRICING_PLAN_SCHEDULE.UPDATE permission. Which one depends on the type of the subscription: QUOTE requires QUOTE.PRICING_PLAN_SCHEDULE.UPDATE; BILLING and TEMPLATE require PRICING_PLAN_SCHEDULE.UPDATE. An ACTIVE schedule of a BILLING or TEMPLATE subscription also requires PRICING_PLAN_SCHEDULE.WRITE_ACTIVE. Setting these fields also requires their own permission: discount requires PRICING_PLAN_SCHEDULE.DISCOUNT.EDIT; commitment requires PRICING_PLAN_SCHEDULE.COMMITMENT.EDIT; markup requires PRICING_PLAN_SCHEDULE.MARKUP.EDIT; override_pricings requires PRICING_PLAN_SCHEDULE.PRICING_OVERRIDE.EDIT.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Headers
Query parameters
Setting the value to true will set the end of the previous schedule to the start of this schedule. Mutually exclusive with set_next_start_at
Setting the value to true will set the start of the next schedule to the end of this schedule. Mutually exclusive with set_previous_end_at
Request
Resource ID of type PRICING_PLAN_SUBSCRIPTION
Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.
The number of units billed per One Off pricing item config priced FLAT. Overrides default_units; absent falls back to it, then to 1.
Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.
Response
Resource ID of type PRICING_PLAN_SUBSCRIPTION
Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.
The number of units billed per One Off pricing item config priced FLAT. Overrides default_units; absent falls back to it, then to 1.
Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.
Whether this schedule is currently in effect, based on its start_at/end_at and ACTIVE status.